<ion-content class="ion-padding">
  <ion-grid style="height: 100%">
    <ion-row class="ion-justify-content-center ion-align-items-center " style="height: 100%">
      <div class="holder">
        <div class="the-title">
          <h2>Welcome to Login</h2>
        </div>
        <div class="btns-holder">
          <ion-row>
            <ion-col>
              <ion-button fill="none">
                <img src="assets/imgs/facebook.svg" alt="">
              </ion-button>
            </ion-col>
            <ion-col>
              <ion-button fill="none">
                <img src="assets/imgs/google.svg" alt="">
              </ion-button>
            </ion-col>
          </ion-row>
        </div>
        <form [formGroup]="loginForm" (ngSubmit)="login()">
          <div class="details">
            <div class="detail-item">
              <ion-label>Username</ion-label>
              <ion-item>
                <span class="icn-holder" slot="end" *ngIf="!loginForm.get('username').invalid">
                  <ion-icon name="checkmark-circle"></ion-icon>
                </span>
                <ion-input formControlName="username" class="username" placeholder="Enter Name"> </ion-input>
              </ion-item>

              <div class="error-messages">
                <ng-container *ngFor="let error of error_messages.username">
                  <div class="error-message"
                    *ngIf="loginForm.get('username').hasError(error.type) && (loginForm.get('username').dirty || loginForm.get('username').touched)">
                    {{error.message}}
                  </div>
                </ng-container>
              </div>
            </div>
            <div class="detail-item">
              <ion-label>Password</ion-label>
              <ion-item>
                <span class="icn-holder" slot="end" *ngIf="!loginForm.get('password').invalid">
                  <ion-icon name="checkmark-circle"></ion-icon>
                </span>
                <ion-input class="password" placeholder="Password" formControlName="password"> </ion-input>
              </ion-item>
            </div>


            <div class="error-messages">
              <ng-container *ngFor="let error of error_messages.password">
                <div class="error-message"
                  *ngIf="loginForm.get('password').hasError(error.type) && (loginForm.get('password').dirty || loginForm.get('password').touched)">
                  {{error.message}}
                </div>
              </ng-container>
            </div>

            <div>
              <ion-row>
                <ion-col>
                  <ion-item lines="none" id="remember-holder" class="ion-no-padding">
                    <ion-label>Remember me</ion-label>
                    <ion-checkbox mode="ios" slot="start"></ion-checkbox>
                  </ion-item>
                </ion-col>
                <ion-col class="col-forgot ion-text-right" >
                  <p>Forgot Password?</p>
                </ion-col>
              </ion-row>
            </div>

          </div>
          <div class="btn-holder">
            <ion-button expand="block" type="submit" routerDirection="root" [disabled]="loginForm.invalid">
              Login
            </ion-button>
          </div>

        </form>
        <div class="signup-holder ion-text-center">
          <p>Don't have an account?&nbsp;<span (click)="goSignup()">Sign Up</span></p>
        </div>
      </div>
    </ion-row>
  </ion-grid>
</ion-content>